# Stable Diffusion V35

## stable-diffusion-v35-large-text-to-image

> Stable Diffusion 3.5 Large is a Multimodal Diffusion Transformer (MMDiT) text-to-image model that features improved performance in image quality, typography, complex prompt understanding, and resource-efficiency.

````json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"stable-diffusion-v35"}],"servers":[{"url":"https://image.onerouter.pro","description":"Image"}],"security":[],"paths":{"/v1/images/generations":{"post":{"summary":"stable-diffusion-v35-large-text-to-image","deprecated":false,"description":"Stable Diffusion 3.5 Large is a Multimodal Diffusion Transformer (MMDiT) text-to-image model that features improved performance in image quality, typography, complex prompt understanding, and resource-efficiency.","tags":["stable-diffusion-v35"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"prompt":{"type":"string","description":"prompt  is the prompt."},"negative_prompt":{"type":"string","description":"The negative prompt to use. Use it to address details that you don't want in the image. This could be colors, objects, scenery and even the small details (e.g. moustache, blurry, low resolution). Default value: `\"\"`","default":"\"\""},"num_inference_steps":{"type":"integer","description":"The number of inference steps to perform. Default value: `28`"},"guidance_scale":{"type":"number","description":"The CFG (Classifier Free Guidance) scale is a measure of how close you want the model to stick to your prompt when looking for a related image to show you. Default value: `3.5`","default":3.5},"size":{"type":"object","properties":{"width":{"type":"integer"},"height":{"type":"integer"}},"required":["width","height"],"description":"The size of the generated image. Defaults to landscape_4_3 if no controlnet has been passed, otherwise defaults to the size of the controlnet conditioning image.\n\nPossible enum values: `square_hd`, `square`, `portrait_4_3`, `portrait_16_9`, `landscape_4_3`, `landscape_16_9`\n\nNote: For custom image sizes, you can pass the width and height as an object:\n```json\n\"image_size\": {\n  \"width\": 1280,\n  \"height\": 720\n}\n```"},"enable_safety_checker":{"type":"boolean","description":"If set to true, the safety checker will be enabled. Default value: false\n\n","default":false},"n":{"type":"integer","description":"n  is the number of images to generate, default value is `1`.","default":1},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","enum":["url","b64_json"],"default":"url"}},"required":["model","prompt"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"b64_json":{"type":"string"},"revised_prompt":{"type":"string"}}}},"created":{"type":"integer"}},"required":["data","created"]}}},"headers":{}}}}}}}
````
